package globals

type BtWifiParing struct {
	Account    string `json:"account"`
	Pwd        string `json:"pwd"`
	Ssid       string `json:"ssid"`
	IsExit     bool   `json:"-"`
	OrigString string `json:"-"`
}

type DbusWifiState struct {
	WifiState int `json:"wifi_state"`
}

var (
	CurWifiParingMode WifiParingMode = WifiParingMode_BT
)

type WifiParingMode uint8

const (
	WifiParingMode_BT WifiParingMode = iota
	WifiParingMode_AP
)

func (this WifiParingMode) String() string {
	switch this {
	case WifiParingMode_BT:
		return "BLE"
	case WifiParingMode_AP:
		return "softAP"
	}

	return ""
}
